Bug 484993 - pm-suspend doesn't work without running dbus
pm-suspend doesn't work without running dbus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 19:25 EST by Miroslav Lichvar
Modified: 2010-04-28 15:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 15:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2009-02-10 19:25:17 EST
Description of problem:
When the messagebug service is not running, pm-suspend fails.

/var/log/pm-suspend.log contains:

/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: Failed to open connection to system message bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Returned exit code 1.
Wed Feb 11 01:18:22 CET 2009: Inhibit found, will not perform suspend
Wed Feb 11 01:18:22 CET 2009: Running hooks for resume


Adding "return 0" after dbus-send calls in suspend_nm and resume_nm functions fixes the problem.

Version-Release number of selected component (if applicable):
pm-utils-1.2.2.1-2.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. service messagebus stop
2. pm-suspend
  
Actual results:
nothing happens

Expected results:
suspend

Additional info:
Comment 1 Phil Knirsch 2009-02-11 09:09:35 EST
Should be fixable.

Thanks & regards, Phil
Comment 2 Bug Zapper 2009-11-18 06:05:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:55:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miroslav Lichvar 2010-04-27 09:06:09 EDT
This is really not that hard to fix :).
Comment 5 Richard Hughes 2010-04-28 04:26:01 EDT
Can you prepare a trivial patch and send it to the pm-utils mailing list please.
Comment 6 Miroslav Lichvar 2010-04-28 15:44:50 EDT
Hm, it seems that the patch is not needed anymore, at least with pm-utils-1.2.5-7.fc12 suspend works fine. The dbus-send call is now wrapped in a dbus_send function which handles the return code.

Note You need to log in before you can comment on or make changes to this bug.